export type TidalAddToPlaylistResponse = {
  errors: TidalAddToPlaylistError[];
};

export type TidalAddToPlaylistError = {
  id: string;
  status: number;
  code: TidalErrorCode;
  detail: string;
  source: TidalAddToPlaylistErrorSource;
  meta: TidalAddToPlaylistErrorMeta;
};

export type TidalAddToPlaylistErrorSource = {
  parameter: string;
};
export type TidalAddToPlaylistErrorMeta = {
  category: string;
};
export type TidalErrorCode =
  | 'INVALID_ENUM_VALUE'
  | 'VALUE_REGEX_MISMATCH'
  | 'NOT_FOUND'
  | 'METHOD_NOT_SUPPORTED'
  | 'NOT_ACCEPTABLE'
  | 'UNSUPPORTED_MEDIA_TYPE'
  | 'UNAVAILABLE_FOR_LEGAL_REASONS_RESPONSE'
  | 'INTERNAL_SERVER_ERROR'
  | 'UNAUTHORIZED';
